﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;
using C1.WPF.C1Chart;
using System.Collections;
namespace DynamicAxisBinding
{
    public class ModelDataSeries : DataSeries
    {
        public string ValueName
        {
            get { return (string)GetValue(ValueNameProperty); }
            set { SetValue(ValueNameProperty, value); }
        }

        public static readonly DependencyProperty ValueNameProperty =
        DependencyProperty.Register("ValueName", typeof(string), typeof(ModelDataSeries), new UIPropertyMetadata(OnValueNameChanged));

        static void OnValueNameChanged(DependencyObject obj, DependencyPropertyChangedEventArgs args)
        {
            var ds = (ModelDataSeries)obj;
            if (string.IsNullOrEmpty(ds.ValueName))
                ds.ValueBinding = null;
            else
                ds.ValueBinding = new Binding(ds.ValueName);
            ds.Invalidate();
        }
    }
    

}
