﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Windows.Data;
using C1.WPF.C1Chart;
using System.Windows;
using System.Reflection;

namespace DynamicAxisBinding.ViewModel
{
   public class ChartViewModel:ViewModelBase
   {
       #region Ctor..
       public ChartViewModel()
       {
           _saleslist = new ObservableCollection<Sales>();
           LoadData();
           _axisvalues = new ObservableCollection<string>();
           PropertyInfo[] pi = typeof(Sales).GetProperties();
           foreach (PropertyInfo piinfo in pi)
           {
               if (piinfo.Name == "Product")
               {
               }
               else
               {
                   _axisvalues.Add(piinfo.Name);
               }
           }
          _axisview = new CollectionView(_axisvalues);
          
        }
       #endregion
       #region private Fields
       ObservableCollection<Sales> _saleslist;
       ObservableCollection<string> _axisvalues;
       CollectionView _axisview;
       
       #endregion
       #region publicProperties
       public ObservableCollection<Sales> SalesList
       {
           get { return _saleslist; }
           set { _saleslist = value; }
       }
       
       public CollectionView AxisView
       {
           get { return _axisview; }
           set { _axisview = value; OnPropertyChanged("AxisView"); }
       }
       #endregion
       #region privateMethods
       void LoadData()
       {
           _saleslist.Add(new Sales("Confectionaries", 2500.00,3000.00));
           _saleslist.Add(new Sales("Plastics", 3500.00,7200.00));
           _saleslist.Add(new Sales("Electronics", 7500.00,8000.00));
           _saleslist.Add(new Sales("Produces", 800.00,1000.00));
           _saleslist.Add(new Sales("Machinary", 18000.00, 11000.00));
       }
      
       #endregion
   }
}
